Este plugin não foi testado com as 3 últimas grandes versões do WordPress. Pode já não ser suportado e pode ter problemas de compatibilidade quando usado com versões mais recentes do WordPress.

Experience Manager

Descrição

This plugin is an integration for the Experience Platform an opensource event analytics and segmentation platform.

Features:

  • Tracking of user events
  • User segmentation
  • Content targeting via shortcodes fro classic editor
  • Segment simulator in the preview
  • Flex Content
  • Support for Elementor Page Builder
  • Support for Gutenberg
  • Support for Divi
  • Support for Beaver
  • Template-Tag to check if a user match a specific segment ( e.q. exm_is_in_segment(“a_segment_id”))
  • Template-Tag to to insert felx content ( e.q. exm_content())
  • Support for Cache Plugins
  • Support for Popup Maker
  • Support for WP Popups
  • Support for Advanced Ads

Usage

The Experience Manager let you define user segments directly in the WordPress backend. It integrates inot different page builders where you can use user segments
to create targeted content for these segments.

Known issues

none

Instalação

This section describes how to install the plugin and get it working.
You need to install the Experience Platform from https://wp-digitalexperience.com/experience-platform/

  1. Upload the plugin files to the /wp-content/plugins/plugin-name directory, or install the plugin through the WordPress plugins screen directly.
  2. Activate the plugin through the ‘Plugins’ screen in WordPress
  3. Use the “Experience Manager->Settings” menu to configure the plugin

Perguntas frequentes

Can I use the plugin without Experience Platform?

No, the plugin integrates Experience Platform into WordPress. It is not possible to use it without the Experience Platform.

Is Experience Platform free?

Yes, it is. As this plugin, Experience Platform is licensed under the GPLv3 or later

Is this addon compatible with other WordPress cache addons like WP Super Cache?

Yes, since version 2 the Experience Manager supports frontend and backend targeting.

Avaliações

Este plugin não tem avaliações.

Contribuidores e programadores

“Experience Manager” é software de código aberto. As seguintes pessoas contribuíram para este plugin:

Contribuidores

Traduza o “Experience Manager” para o seu idioma.

Interessado no desenvolvimento?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Registo de alterações

4.4.0
* Fix bug in new tracking code
* Remove legacy code
* Link to new documentation added
* Add AverageOrderValue rule to segment wizard

4.3.0
* Enable revisions for flex content

4.2.3
* Debug code removed

4.2.2
* Fixed popup JavaScript

4.2.1
* Fixed a Flex Content settings bug

4.2.0
* Flex Content
* Refactoring tracking code
* Prepared the php cookie management for OPT-In implementations

4.1.1
* bug fix in backend tracking

4.1.0
* Fixed a type in a variable name
* Add cache to reduce calls to the Experience Platform

4.0.0
* New json based segment definition language introduced
* Fix segmente sync state
* Integration into WP Popups added
* JS PHP cookie issue fixed

Important: This version needs at least version 5.0.0 of the Experience Platform!

3.2.0
* Update to new tracking api
* Add Integration for the Beaver Builder
Important: This version needs at least version 4.2.0 of the Experience Platform to run correctly!

3.1.0
* Add possibility to disable integrations into other plugins
Attention: By default all integrations are disabled and must be activated first.
* Support for the DIVI PageBuilder was added
* Gutenberg class name issue fixed

3.0.0
* Generate unique id for cart tracking
* Conversion Dashboard added if metrics module is installed
* Experimental backend mode removed

Important: Version 3.0.0 needs at least version 4.0.0 of the Experience Platform

2.4.2
* Typo fixed

2.4.1
* Typo fixed
* Don’t load drafts for audience selection in editors or preview

2.4.0
* Intro to the segment editor added
* Simple wizard to getting started with the segment editor
* tracking of easy digital downloads ecommerce events: add_to_cart, remove_from_cart and order

IMPORTANT: If you upgrade to version 2.4.0 you need at least Experience Platform version 3.6.0

2.3.0
* cookie handling fixed

2.2.0
* Add highlighting of widgets with configured targeting to elementor
* Segment editor publish-save-order issue fixed
* Javascript for updating segments fixed
* Widget Targeting removed due to bug

2.1.0
* Update to new the new tracking url provided by the Experience Platform
* Beaver Builder support removed

IMPORTANT: If you upgrade to version 2.1.0 you need at least Experience Platform version 3.3.1

2.0.0
* The plugin is renamed into Experience Manager
* Update JS library webtools
* Rest endpoint added to get user segments
* Add support for cache plugins
* Tracking of wordpress and woocommerce categories
* Removed support for SiteOrigin PageBuilder and WPBakery PageBuilder
* Support for Popup Maker added
* Support for Advanced Ads added
* Extended Toolbar integration with preview and highlight added

IMPORTANT: If you upgrade to version 2.0.0 you need at least webTools-Platform version 2.2.0

1.5.1
* fix Beaver Builder integration
* fix WPBakery PageBuilder integration

1.5.0
* Beaver Builder support added
* Redux Framework removed
* Extended support vor WPBakery PageBuilder

1.4.1

  • Fix Elementor preview issue

1.4.0

  • Add support for Elementor PageBuilder

1.3.2

  • add missing files

1.3.1

  • remove debug logging

1.3.0

  • Update ReduxFramework to 3.6.5
  • Modify MetaData of posts containing segmented content
  • Add targeting to widgets

1.2.0

  • Add support for cookie domain
  • Add hook for recommendations

1.1.1

  • MetaBox Bugfix

1.1.0

  • Use the ReduxFramework for settings
  • Replace WooCommerce recommendation

1.0.1

  • Tracking should be disabled in the preview
  • Disable tracking in SiteOrigin PageBuilder live editor
  • Disable tracking in VisualComposer frontend editor

1.0.0

  • Fix js issue with tinymce integration
  • Support for PageBuilder by SiteOrigin
  • Support for Visual Composer
  • New template tag

IMPORTANT: If you upgrade to version 1.0.0 you need at least webTools-Platform version 1.1.0

0.10.0

  • Fix error in adminbar
  • MetaBox for scoring
  • Tracking of add/remove item to/from cart
  • Use of post type and slug for unique tracking

0.9.0

  • Add segment selector to the preview
  • webTools version 0.12.0 is the minimum version

0.8.0

  • Hook to integration custom configuration into the TMA_CONFIG Json
  • TMA_Request class extended to call extension rest endpoints
  • fix issue with webtools rest api

0.7.0

  • usage of new tracking of custom attributes
  • enable/disable tracking for logged in users
  • tracking of product ids for orders
  • tinymce button for shortcodes

If you update to this version you need at least version 0.9.0 of the webTools-Platform.

0.6.0

  • add scoring only if single page of post is shown

0.5.0

  • Fix cookie issue

0.4.0

  • Tracking of WooCommerce events

0.3.0

  • Fix minor issue with unhandled NULL value
  • add translation

0.2.0

  • ShortCodes for content targeting by user segments

0.1.0

  • Disable/Enable tracking and scoring.